Package relaxngcc.runtime

## Class NGCCTypedContentHandler

- java.lang.Object
- - relaxngcc.runtime.NGCCTypedContentHandler

- All Implemented Interfaces:
    `com.sun.msv.verifier.psvi.TypedContentHandler`

      public abstract class NGCCTypedContentHandler
      extends java.lang.Object
      implements com.sun.msv.verifier.psvi.TypedContentHandler

  Base class for classes generated by RelaxNGCC msv mode.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NGCCTypedContentHandler​(com.sun.msv.verifier.psvi.TypeDetector reader)` |
    `NGCCTypedContentHandler​(com.sun.msv.verifier.psvi.TypeDetector reader, NGCCTypedContentHandler parent)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract boolean` | `accepted()` |
    `void` | `characterChunk​(java.lang.String literal, org.relaxng.datatype.Datatype type)` |
    `void` | `endAttribute​(java.lang.String uri, java.lang.String localname, java.lang.String qname, com.sun.msv.grammar.AttributeExp type)` |
    `void` | `endAttributePart()` |
    `void` | `endDocument()` |
    `void` | `endElement​(java.lang.String uri, java.lang.String localname, java.lang.String qname, com.sun.msv.grammar.ElementExp type)` |
    `abstract void` | `enterElement​(java.lang.String uri, java.lang.String localName, java.lang.String qname)` |
    `abstract void` | `leaveElement​(java.lang.String uri, java.lang.String localName, java.lang.String qname)` |
    `abstract void` | `processAttribute()` |
    `void` | `startAttribute​(java.lang.String uri, java.lang.String localname, java.lang.String qname)` |
    `void` | `startDocument​(org.relaxng.datatype.ValidationContext context)` |
    `void` | `startElement​(java.lang.String uri, java.lang.String localname, java.lang.String qname)` |
    `abstract void` | `text​(java.lang.String value, com.sun.msv.datatype.xsd.XSDatatype type)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NGCCTypedContentHandler

          public NGCCTypedContentHandler​(com.sun.msv.verifier.psvi.TypeDetector reader)

    - #### NGCCTypedContentHandler

          public NGCCTypedContentHandler​(com.sun.msv.verifier.psvi.TypeDetector reader,
                                         NGCCTypedContentHandler parent)

  - ### Method Detail

    - #### enterElement

          public abstract void enterElement​(java.lang.String uri,
                                            java.lang.String localName,
                                            java.lang.String qname)
                                     throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### leaveElement

          public abstract void leaveElement​(java.lang.String uri,
                                            java.lang.String localName,
                                            java.lang.String qname)
                                     throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### text

          public abstract void text​(java.lang.String value,
                                    com.sun.msv.datatype.xsd.XSDatatype type)
                             throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### processAttribute

          public abstract void processAttribute()
                                         throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### accepted

          public abstract boolean accepted()

    - #### startDocument

          public void startDocument​(org.relaxng.datatype.ValidationContext context)
                             throws org.xml.sax.SAXException

      Specified by:
        `startDocument` in interface `com.sun.msv.verifier.psvi.TypedContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endDocument

          public void endDocument()
                           throws org.xml.sax.SAXException

      Specified by:
        `endDocument` in interface `com.sun.msv.verifier.psvi.TypedContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### startElement

          public void startElement​(java.lang.String uri,
                                   java.lang.String localname,
                                   java.lang.String qname)
                            throws org.xml.sax.SAXException

      Specified by:
        `startElement` in interface `com.sun.msv.verifier.psvi.TypedContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement​(java.lang.String uri,
                                 java.lang.String localname,
                                 java.lang.String qname,
                                 com.sun.msv.grammar.ElementExp type)
                          throws org.xml.sax.SAXException

      Specified by:
        `endElement` in interface `com.sun.msv.verifier.psvi.TypedContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### startAttribute

          public void startAttribute​(java.lang.String uri,
                                     java.lang.String localname,
                                     java.lang.String qname)
                              throws org.xml.sax.SAXException

      Specified by:
        `startAttribute` in interface `com.sun.msv.verifier.psvi.TypedContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endAttribute

          public void endAttribute​(java.lang.String uri,
                                   java.lang.String localname,
                                   java.lang.String qname,
                                   com.sun.msv.grammar.AttributeExp type)
                            throws org.xml.sax.SAXException

      Specified by:
        `endAttribute` in interface `com.sun.msv.verifier.psvi.TypedContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endAttributePart

          public void endAttributePart()
                                throws org.xml.sax.SAXException

      Specified by:
        `endAttributePart` in interface `com.sun.msv.verifier.psvi.TypedContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### characterChunk

          public void characterChunk​(java.lang.String literal,
                                     org.relaxng.datatype.Datatype type)
                              throws org.xml.sax.SAXException

      Specified by:
        `characterChunk` in interface `com.sun.msv.verifier.psvi.TypedContentHandler`
      Throws:
        `org.xml.sax.SAXException`